# ApplicationFramework
TKStdLSchema
StdLDrivers

# StdLDrivers_DocumentStorageDriver Class Reference

storage driver of a Part document

`#include <StdLDrivers_DocumentStorageDriver.hxx>`

Inheritance diagram for StdLDrivers_DocumentStorageDriver:

[legend]

## Public Member Functions

Standard_EXPORT | StdLDrivers_DocumentStorageDriver ()
virtual Standard_EXPORT void | Make (const Handle(CDM_Document)&aDocument, PCDM_SequenceOfDocument &Documents)
| By default, puts in the Sequence the document returns by the previous Make method. .
virtual Standard_EXPORT Handle_MDF_ASDriverTable | AttributeDrivers (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StdLDrivers_DocumentStorageDriver::StdLDrivers_DocumentStorageDriver | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_MDF_ASDriverTable StdLDrivers_DocumentStorageDriver::AttributeDrivers | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) | `[virtual]`

| Reimplemented from MDocStd_DocumentStorageDriver.

Standard_EXPORT const StdLDrivers_DocumentStorageDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MDocStd_DocumentStorageDriver.

virtual Standard_EXPORT void StdLDrivers_DocumentStorageDriver::Make | ( | const Handle(CDM_Document)& | aDocument,
|  | PCDM_SequenceOfDocument & | Documents
| ) | `[virtual]`

| Reimplemented from PCDM_StorageDriver.

The documentation for this class was generated from the following file:

- StdLDrivers_DocumentStorageDriver.hxx